require 'time'
module Wicoris
  module Postman
    class CLI
      include Mixlib::CLI

      option :jobdir,
        :long => '--jobdir DIRECTORY',
        :short => '-j',
        :description => 'Directory with all JSON files a.k.a. jobs'

      option :noop,
        :long => '--noop',
        :short => '-n',
        :description => "Don't do anything, just pretend to",
        :boolean => true,
        :default => false

      option :outdir,
        :long => '--outdir DIRECTORY',
        :short => '-o',
        :description => 'Output directory for copying letters'

      option :config,
        :long => '--config CONFIG_FILE',
        :short => '-c',
        :description => 'Configuration file for Postman'

      # Run a postman that clears the mailbox.
      def run
        Postman.new(opts).run
      end

      private

      # @returns [Hash] App config
      def opts
        parse_options
        Config.from_file(config[:config]) if config[:config]
        Config.merge!(config)
      end
    end
  end
end
